Bug 151084 - RHEL5-rg-bug: Chapter 9. Network File System bugs (steved)
Summary: RHEL5-rg-bug: Chapter 9. Network File System bugs (steved)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhel-rg   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Don Domingo
QA Contact: John Ha
URL: https://www.redhat.com/docs/manuals/e...
Whiteboard:
Keywords: Documentation
Depends On:
Blocks: 148897
TreeView+ depends on / blocked
 
Reported: 2005-03-14 18:54 UTC by Steve Dickson
Modified: 2014-08-04 22:15 UTC (History)
3 users (show)

Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 07:25:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Dickson 2005-03-14 18:54:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Chapter 9. Network File System - has inaccurate information

Chapter 9.1 Paragraph 1
- Kerberos Security is not just an NFSv4 feature. Kerberos
  can be used with all version of NFS.

- RHEL4 uses NFS version 3 by default not version 4.

Chapter 9.1 Paragraph 4
- "Kerberos user and group authentication with various security levels
is optionally available"
   really does not make much sense and again, krb5 auth is done by RPC
not NFS
   so its available from all versions.

Chapter 9.1 1st Warning box
- Is not true and should be removed.

Chapter 9.1.1 rpc.svcgssd and rpc.gssd descriptions
- Should say something like:
    rpc.svcgssd - This process is used by the NFS server to do
    user authentication and is only started when SECURE_NFS=yes
    in /etc/sysconfig/nfs

rpc.gssd - This process is used by the NFS client to do
    user authentication and is only started when SECURE_NFS=yes
    in /etc/sysconfig/nfs



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.click on 
https://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/ref-guide/ch-nfs.html
2.
3.
    

Additional info:

Comment 2 Andrius Benokraitis 2005-03-29 22:27:15 UTC
Will be updated for next go-around of the Reference Guide, which is RHEL5.

Comment 3 Mike Behm 2006-02-04 15:40:23 UTC
Made changes as requested.

Comment 4 Michael Hideo 2007-03-07 01:43:14 UTC
Need to verify this change was made in 4.5 and 5.0.0

Comment 5 Don Domingo 2007-04-16 07:25:40 UTC
these changes have been verified in source. closing this bug. 


Note You need to log in before you can comment on or make changes to this bug.